<?php

class MailboxLocaleLang extends HordeLocaleLang {
   
   function MailboxLocaleLang () {
      $this->HordeLocaleLang();
   }
   
   function error ($current_mbox, $action) {
      global $lang;
      
      $action_text = $lang->$action;
      return "Kirjakast: $current_mbox: Viga: Kiri $action_text ei läinud läbi.";
   }
   
   function success1 ($current_mbox, $action, $num, $plural = false) {
      global $lang;
      
      if ($plural) $messages = 'Kirja';
      else $messages = 'Kiri';
      
      $action_text = $lang->$action;
      return "Kirjakast: $current_mbox: $action_text $num $messages";
   }
   
   function success2 ($current_mbox, $targetMbox, $action, $num, $plural = false) {
      global $lang;
      
      if ($plural) $messages = 'Kirja';
      else $messages = 'Kiri';
      
      $action_text = $lang->$action;
      return "Kirjakast: $current_mbox: $action_text $num $messages to $targetMbox";
   }
   
   function pagenav ($page, $page_count) {
      global $this_client;
      if ($this_client == '') { $this_client = new WebClient; }

      if ($this_client->lynx) {
	 return "Lehekülg $page $page_count lehest";
      } else {
         $len = strlen($page_count);
	 return "Lehekülg <input type=\"text\" name=\"page\" value=\"$page\" size=$len>, $page_count lehest";
      }
   }
   
   function overview ($begin, $end, $nummsgs) {
       if ($nummsgs == 0) {
	  return "0 Kirja";
       } elseif ($nummsgs == 1) {
	  return "1 Kiri";
       } else {
	  return "$begin - $end. Kokku: $nummsgs kirja";
       }
   }
   
}


$lang = new MailboxLocaleLang();
require('./locale/et/openwin.lang');

$lang->delete_link = 'Kustuta';
$lang->undelete_link = 'Taasta';
$lang->move_link = 'Liiguta';
$lang->copy_link = 'Kopeeri';
$lang->selected_mail = 'märgitud kirjad';

$lang->sort_by_label =  'Sorteeri';
$lang->date_label = 'Kuupäev';
$lang->from_label = 'Kellelt';
$lang->subject_label = 'Pealkiri';
$lang->size_label = 'Suurus';
$lang->to_label = 'Kellele';

$lang->select_all = 'Märgi kõik';
$lang->select_none = 'Märkimine nullida';
$lang->empty_trash = 'Kustuta lõplikult';

$lang->no_subject = '[Pealkirja pole]';
$lang->undisclosed_recipients = 'Undisclosed Recipients';
$lang->mailbox = 'Kirjakast';

$lang->message = 'Kiri';
$lang->messages = 'Kirjad';

$lang->deletion = 'Kustutamisel';
$lang->deleted = 'Kustutatud';
$lang->undeletion = 'Taastamisel';
$lang->undeleted = 'Taastatud';
$lang->move = 'Liiguta';
$lang->moved = 'Liigutatud';
$lang->copy = 'Kopeeri';
$lang->copied = 'Kopeeritud';
$lang->expunge = 'Tühjenda';
$lang->expunged = 'Tühjendatud';

$lang->hiding_deleted = 'Hiding Deleted Messages';
$lang->showing_deleted = 'Showing Deleted Messages';
$lang->deleted_summary = 'deleted message(s) hidden from listing';
$lang->empty_mailbox = 'There are no messages in this mailbox.';
$lang->no_messages_selected = 'You must select at least one message first.';

$lang->reverse_sort = 'Reevers sorteerimisjärekorrale.';

$lang->alert_really_delete = 'Are you sure you wish to PERMANENTLY delete these messages?';
$lang->first_page = 'first page';
$lang->prev_page = 'prev page';
$lang->next_page = 'next page';
$lang->last_page = 'last page';

$lang->hide_deleted = 'Hide Deleted';
$lang->show_deleted = 'Show Deleted';
$lang->no_mailbox_selected = 'You must a select a target mailbox first.';
?>
